<?php

namespace app\foreignone\files;

class Archive
    implements FileInterface
{
    public function __construct(
        protected ArchiveType $archiveType
    ) {}

    public function getTitleHtml(): ?string {
        return null;
    }

    public function getId(): string {
        return $this->archiveType->value;
    }

    public function getUrl(): string {
        return '/files/'.$this->archiveType->value.'/';
    }

    public function getSize(): ?int {
        return null;
    }

    public function getTitle(): string {
        return lang("files_{$this->archiveType->value}_collection");
    }

    public function getMeta(?string $hl_matched = null): array {
        return [];
    }

    public function isTargetBlank(): bool {
        return false;
    }

    public function getSubtitle(): ?string {
        return null;
    }

    public function getIcon(): string {
        return 'folder';
    }
}
